| Home | Libraries | People | FAQ | More

## Function template make_times_iterator_end

boost::numeric::odeint::make_times_iterator_end — Factory function for times_iterator. Constructs an end iterator.

## Synopsis

    // In header: <boost/numeric/odeint/iterator/times_iterator.hpp>

    template<typename TimeIterator, typename Stepper, typename System,
             typename State>
      times_iterator< Stepper, System, State, TimeIterator >
      make_times_iterator_end(Stepper stepper, System system, State & x);

## Description

This function needs the TimeIterator type specifically defined as a template parameter.

Parameters: |
`stepper` | The stepper to use during the iteration.
`system` | The system function (ODE) to solve.
`x` | The initial state. `const_step_iterator` stores a reference of s and changes its value during the iteration.
Returns: | The times iterator.